repoquery(1)

BEZEICHNUNG
repoquery - Informationen aus Yum-Paketquellen abfragen

ÜBERSICHT
repoquery [Optionen] <Objekt …>
repoquery -a [Optionen]

BESCHREIBUNG

repoquery ist ein Programm zur Abfrage von Informationen aus Yum-Paketquellen, analog zu RPM-Abfragen.

ALLGEMEINE OPTIONEN

--querytags
    listet zulässige Formatabfragekennzeichnungen auf und beendet das Programm.

-v, --version
    zeigt Versionsinformationen an und beendet das Programm.

--repoid=<Paketquelle>
    gibt die abzufragende Paketquelle an. Diese Option deaktiviert alle Paketquellen, die nicht mit der Option --repoid aktiviert werden (dies kann mehrmals angegeben werden). Standardmäßig benutzt Repoquery sämtliche in der YUM-Konfiguration enthaltenen und aktivierten Paketquellen.

--enablerepo=<Paketquelle>
    fragt zusätzlich zu den vorgegebenen Paketquellen eine weitere Quelle ab, selbst wenn diese in der YUM-Konfiguration deaktiviert ist. Dies kann mehrmals angegeben werden.

--disablerepo=<Paketquelle>
    überspringt die Abfrage der angegebenen Paketquelle, selbst wenn diese in der YUM-Konfiguration aktiviert ist. Dies kann mehrmals angegeben werden.

--repofrompath=<Paketquellen-ID>,<Pfad/URL>
    gibt einen Pfad oder eine URL zu einer Paketquelle an (gleicher Pfad wie in der Basis-URL), um für diese Abfrage Paketquellen hinzuzufügen. Diese Option kann mehrmals angegeben werden. Falls nur die Pakete aus dieser Paketquelle angezeigt werden sollen, kombinieren Sie diese Option mit --repoid. Die Paketquellen-ID wird durch <Paketquellen-ID> angegeben.

--plugins
    aktiviert die Unterstützung für Yum-Plugins.

-q, --query
    hat keinen Effekt, es ist nur für die rpmquery-Kompatibilität vorhanden.

-h, --help
    zeigt eine Hilfemeldung an und beendet das Programm.

--quiet
    aktiviert den stillen Modus: Es werden keine Warnungen in die Standardfehlerausgabe geleitet.

--verbose
    zeigt ausführliche Informationen an.

-C, --cache
    führt dazu, dass repoquery vollständig aus dem Yum-Zwischenspeicher ausgeführt wird. Es werden weder Metadaten heruntergeladen noch der Zwischenspeicher aktualisiert. Abfragen in diesem Modus können scheitern oder unvollständige und inkorrekte Ergebnisse liefern, wenn der Zwischenspeicher zuvor nicht mit beispielsweise »yum makechache« aufgebaut wurde.

--tempcache
    erstellt und verwendet einen privaten Zwischenspeicher, anstatt den Haupt-Zwischenspeicher von Yum zu nutzen. Dies ist die Voreinstellung, wenn das Programm als gewöhnlicher Benutzer ausgeführt wird.

-c <Konfigurationsdatei>, --config=<Konfigurationsdatei>
    verwendet eine alternative Konfigurationsdatei (Vorgabe ist /etc/yum.conf).

--releasever=Version
    setzt die angegebene Zeichenkette als aktuelle Release-Version fest. Dies ist in Verbindung mit --installroot sinnvoll. Sie können auch --releasever=/ angeben, um die Informationen zur Release-Version von einem Ort außerhalb der Installationswurzel zu beziehen. Beachten Sie: Wenn Sie das vorgegebene Zwischenspeicherverzeichnis /var/cache/yum verwenden, kann diese Option Ihren Zwischenspeicher beschädigen. Um dies zu verhindern, können Sie die Variable $releasever in der Konfiguration Ihres Zwischenspeicher-Verzeichnisses verwenden.

--setopt=Option=Wert
    setzt beliebige Konfigurationsoptionen in Konfigurations- oder Paketquellendateien von Yum. Die globale Konfiguration ändern Sie mit --setopt=Option=Wert, die Paketquellen mit --setopt=Paketquellen-ID.Option=Wert.

OPTIONEN ZUR PAKETABFRAGE

-i, --info
    zeigt allgemeine Informationen zu einem Paket an, ähnlich wie »rpm -qi«.

-l, --list
    listet die Dateien im Paket auf.

-R, --requires
    listet die Abhängigkeiten des Pakets auf.

--resolve
    löst in Verbindung mit --requires die Fähigkeiten zu den Ursprungspaketen auf.

--provides
    listet die Fähigkeiten auf, die das Paket bereitstellt.

--obsoletes
    listet die Fähigkeiten auf, die das Paket als obsolet markiert.

--conflicts
    listet die Fähigkeiten auf, mit denen das Paket im Konflikt steht.

--changelog
    zeigt das Änderungsprotokoll des Pakets an.

--location
    zeigt einen Ort an, von dem das Paket heruntergeladen werden kann. Beispiel: wget `repoquery --location yum`

-s, --source
    zeigt den Source-RPM-Namen des Pakets an.

--srpm
    arbeitet mit dem entsprechenden Quellpaket.

--groupmember PAKET
    listet die repodata-Gruppen auf (yumgroups.xml), zu denen das Paket gehört (falls zutreffend).

--nvr
    verwendet Name-Version-Release als Ausgabeformat (Voreinstellung für die RPM-Abfrage).

--nevra
    verwendet Name-Epoche:Version-Release.Architektur als Ausgabeformat (Voreinstellung).

--envra
    verwendet Epoche:Name-Version-Release.Architektur als Ausgabeformat. Dies lässt sich einfacher auswerten als Name-Epoche:Version-Release.Architektur.

--qf=FORMAT, --queryformat=FORMAT
    gibt ein benutzerdefiniertes Ausgabeformat für die Abfragen an. Sie können »:date«, »:day« und »:isodate« zu allen Zeitangaben-Tags hinzufügen sowie »:k«, »:m«, »:g«, »:t« und »:h« zu Größenangaben-Tags. Außerdem können Sie Feldbreiten wie in der PHP-Funktion sprintf eingeben, zum Beispiel %-20{name}.

--output [text|ascii-tree|dot-tree]
    Dieses Ausgabeformat kann mit »--requires«, »--whatrequires«, »--obsoletes« und »--conflicts« verwendet werden. Die Voreinstellung ist »text«.

--level [all|any int]
    gibt in Kombination mit --output ascii-tree|dot-tree die Anzahl der in der Baumansicht anzuzeigenden Ebenen an. Die Voreinstellung ist »all«.

OPTIONEN ZUR PAKETAUSWAHL

-a, --all
    sucht nach allen verfügbaren Paketen (für Kompatibilität zu rpmquery, Kürzel für repoquery '*')

-f, --file DATEI
    sucht nach Paketen, die diese DATEI enthalten.

--whatobsoletes FÄHIGKEIT
    sucht nach Paketen, die diese FÄHIGKEIT als obsolet markieren.

--whatconflicts FÄHIGKEIT
    sucht nach Paketen, die Konflikte mit dieser FÄHIGKEIT verursachen.

--whatprovides FÄHIGKEIT
    sucht nach Paketen, die diese FÄHIGKEIT bereitstellen.

--whatrequires FÄHIGKEIT
    sucht nach Paketen, die diese FÄHIGKEIT benötigen.

--alldeps
    wird zusammen mit --whatrequires verwendet, um zusätzlich zu den expliziten Abhängigkeiten auch nicht-explizite Abhängigkeiten einzubeziehen. So werden zum Beispiel außer Paketnamen auch enthaltene Dateien und »Provides:«-Tags berücksichtigt. Dies ist die Voreinstellung.

--exactdeps
    sucht in Verbindung mit --whatrequires nach exakt den angegebenen Abhängigkeiten. Dies ist effektiv das Gegenteil von --alldeps.

--recursive
    sucht in Verbindung mit --whatrequires rekursiv nach Paketen.

--archlist=ARCH1[,ARCH2…]
    begrenzt die Abfrage der Pakete auf die angegebene(n) Architektur(en). Zulässige Werte sind hierbei alle Architekturen, die RPM bzw. Yum bekannt sind, beispielsweise »i386«, oder »src« für Quellpakete. Beachten Sie, dass repoquery den Wert von »arch« in Yum auf den ersten Wert in der Architekturenliste ändert. So ändert »--archlist=i386,i686« die kanonische Architektur von Yum zu i386, wobei Pakete für i386 und auch i686 erlaubt sind.

--pkgnarrow=WAS
    begrenzt die bei der Abfrage zu berücksichtigenden Pakete. Zulässige Werte für WAS sind »installed«, »available«, »recent«, »updates«, »extras«, »all« und »repository« (Voreinstellung).

--installed
    beschränkt die Abfrage auf installierte Pakete. Dadurch werden alle Paketquellen deaktiviert und ausschließlich die RPM-Datenbank genutzt.

OPTIONEN ZUR GRUPPENABFRAGE

-i, --info
    zeigt allgemeine Informationen zur Gruppe an.

-l, --list
    listet Pakete auf, die zu dieser Gruppe gehören (das heißt, die von dieser Gruppe benötigt werden).

--grouppkgs=WAS
    gibt an, welche Pakettypen aus den Gruppen abgefragt werden sollten. Zulässige Werte sind »all«, »mandatory«, »default« und »optional«.

--requires
    listet Gruppen auf, die von einer Gruppe benötigt werden.

OPTIONEN ZUR GRUPPENAUSWAHL

-a  fragt alle verfügbaren Gruppen ab.

-g, --group
    fragt Gruppen anstelle von Paketen ab.

BEISPIELE

Alle Pakete auflisten, deren Name »perl« enthält:
    repoquery '*perl*'

Alle Pakete auflisten, die von openssl abhängen:
    repoquery --whatrequires openssl

Alle Paketnamen auflisten sowie die Paketquellen, aus denen Sie stammen, sauber formatiert:
    repoquery -a --qf "%-20{repoid} %{name}"

Name und Zusammenfassung aller verfügbaren Aktualisierungen auflisten (falls verfügbar, sauber formatiert):
    repoquery -a --pkgnarrow=updates --qf "%{name}:\n%{summary}\n"

Optionale Pakete in der »base«-Gruppe auflisten:
    repoquery -g --grouppkgs=optional -l base

Bauabhängigkeiten des Quellpakets »anaconda« auflisten:
    repoquery --requires anaconda.src

Pakete auflisten, die zur Erstellung das Paket gail-devel benötigen:
    repoquery --archlist=src --whatrequires gail-devel
      Hinweis: Dieser Befehl funktioniert nur dann, wenn Paketquellen aktiviert sind, die Quellpakete enthalten.

SONSTIGES

Angeben von Paketnamen
    Ein Paket kann in allen Abfragen aufgrund einer oder mehrerer der folgenden Eigenschaften berücksichtigt werden:

    name
    name.arch
    name-ver
    name-ver-rel
    name-ver-rel.arch
    name-epoch:ver-rel.arch
    epoch:name-ver-rel.arch

    Beispiel: repoquery -l kernel-2.4.1-10.i686
    Zusätzliche Platzhalter (Textschnipsel im Shell-Stil) sind zulässig.

DATEIEN
Da repoquery die Yum-Bibliotheken zum Ermitteln aller Informationen nutzt, bezieht es die Standardwerte zu den zu verwendenden Paketquellen aus der Yum-Konfiguration. Details hierzu finden Sie in der Yum-Dokumentation:

/etc/yum.conf
/etc/yum/repos.d/
/var/cache/yum/

SIEHE AUCH
yum.conf(5)
http://yum.baseurl.org/

AUTOREN
Lesen Sie die mit diesem Programm gelieferte Autorenliste.

FEHLER
Es gibt natürlich keine Fehler, sollten Sie dennoch einen entdecken, ziehen Sie zuerst den Abschnitt der häufig gestellten Fragen auf http://yum.baseurl.org/wiki/Faq zu Rate. Sollten Sie dort keine Lösung finden, kontaktieren Sie die (englischsprachige) Mailingliste auf yum-devel@lists.baseurl.org. Für Fehlermeldungen benutzen Sie http://bugzilla.redhat.com für Fehler in Fedora/RHEL/Centos und http://yum.baseurl.org/report für sonstige Fehler.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.